ranges::views::sample_base_fn Struct Reference

## Description

Returns a random sample of a range of length `size(range)`.

Inheritance diagram for ranges::views::sample_base_fn:

## Public Member Functions

template<typename Rng , typename URNG = detail::default_random_engine>

auto

operator() (Rng &&rng, range_difference_t< Rng > sample_size, URNG &generator=detail::get_random_engine()) const -> sample_view< all_t< Rng >, URNG > requires viewable_range< Rng > &&input_range< Rng > &&uniform_random_bit_generator< URNG > &&convertible_to< invoke_result_t< URNG &>, range_difference_t< Rng >> &&(sized_range< Rng >||sized_sentinel_for< sentinel_t< Rng >, iterator_t< Rng >>||forward_range< Rng >)